<?php get_header(); ?>
	
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
			<div class="post" id="post-<?php the_ID(); ?>">

				<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h1>
					
				<div class="descr"><?php the_time('F jS, Y') ?> by <?php the_author() ?></div>

				<div class="post_body">

					<?php the_content('Read the rest of this entry &raquo;'); ?>

				</div>

				<div class="post_info"><span class="comment"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span> | Posted in <?php the_category(', ') ?><?php edit_post_link('Edit',' | ',''); ?> </div>

			</div>

			<?php comments_template(); ?>

		<?php endwhile; ?>

			<p><?php next_posts_link('&laquo; Previous Entries') ?> <?php previous_posts_link('Next Entries &raquo;') ?></p>

	<?php else : ?>

			<h1>Not Found</h1>

			<p>Sorry, but you are looking for something that isn't here.</p>

	<?php endif; ?>

	<?php get_sidebar(); ?>

<?php get_footer(); ?>
